<template>
	
	<v-container>
		<v-card v-bind:to="{name:'campaign',params:{'campaignId':campaign.id}}">
			<v-img v-bind:src="campaign.image" class="grey--text" max-height="400" max-width="400" contain>
				<v-card-title class="fill-height align-end"  v-text="campaign.title">                                
				</v-card-title>    
			</v-img>

			<v-card-text class="fill-width">
				<div>
					<v-progress-linear
						v-model="percent"
						v-bind:buffer-value="campaign.required"
					></v-progress-linear>
				</div>				
			</v-card-text>
			
			<v-list-item class="grow">
				<v-list-item-icon color="grey darken-3">
					<v-icon>mdi-cash</v-icon>
					<v-list-item-title>Rp. {{campaign.collected.toLocaleString('in-ID')}}</v-list-item-title>
				</v-list-item-icon>

				<v-row
				align="center"
				justify="end"
				>
					<span class="subheading mr-3">{{percent}}</span>
				</v-row>
								
			</v-list-item>

		</v-card>

		

	</v-container>

	<!-- <div>{{title}}{{campaign}}</div> -->

</template>

<script>
export default {

	name:'campaign-component',
	props:['portal'],

	data:function(){
		return{
			title:'This is Campaign Component',			
			campaign:{}
		}
	},created:function(){

		console.log('getting message from outer realm!')		
		console.log(this.portal)
		this.campaign = this.portal

	},methods:{

		
		
	},computed:{
		percent:function(){
			let {collected} = this.campaign
			let {required} = this.campaign

			let percent = (collected*100/required)

			return `${percent}%`
		}
	}
}
</script>

<style>

</style>